"""
Date utilities
"""
from __future__ import annotations
import typing
__all__: list[str] = ['format_str', 'get_day', 'get_month', 'get_today', 'get_year', 'is_valid', 'make']
def format_str(arg0: typing.SupportsInt | typing.SupportsIndex) -> str:
    ...
def get_day(arg0: typing.SupportsInt | typing.SupportsIndex) -> int:
    ...
def get_month(arg0: typing.SupportsInt | typing.SupportsIndex) -> int:
    ...
def get_today() -> int:
    ...
def get_year(arg0: typing.SupportsInt | typing.SupportsIndex) -> int:
    ...
def is_valid(arg0: typing.SupportsInt | typing.SupportsIndex) -> bool:
    ...
@typing.overload
def make(arg0: typing.SupportsInt | typing.SupportsIndex, arg1: typing.SupportsInt | typing.SupportsIndex, arg2: typing.SupportsInt | typing.SupportsIndex) -> int:
    ...
@typing.overload
def make(arg0: str) -> int:
    ...
